Subject: bootstrap ignores --copy option

From: Bruno Haible <[email-masked]>
Date: Thu, 16 Jan 2025 15:48:55 +0100

Hi,

I want to test a current coreutils from git with clang's UBSAN.
For this, I need to apply a patch to lib/linebuffer.c and lib/mpsort.c
locally.
For this, it is not suitable if 'bootstrap' creates these files as
symbolic links.
So I run

  $ ./bootstrap --copy --no-git --gnulib-srcdir=$GNULIB_SRCDIR

But it *still* creates the symlinks, despite my explicit use of the
'--copy' option.

This comes from bootstrap.conf line 349. It shouldn't pass the option
'--symlink' to gnulib-tool when I passed the '--copy' option.

Bruno